import request from '@/utils/request';
export default {
  pageList(data = {}) {
    return request({
      url: '/sch/school/list',
      method: 'get',
      params: data
    });
  },
  getById(id) {
    return request({
      url: `/sch/school/${id}`,
      method: 'get'
    });
  },
  add(data = {}) {
    return request({
      url: '/sch/school',
      method: 'post',
      data
    });
  },
  update(data = {}) {
    return request({
      url: '/sch/school',
      method: 'put',
      data
    });
  },
  delete(id) {
    return request({
      url: `/sch/school/${id}`,
      method: 'delete'
    });
  }
};
